Innehåll

# HasUnoInterfaces Function

Testar om ett Basic Uno-objekt stöder vissa Uno-gränssnitt.

Returnerar True om alla Uno-gränssnitt som nämnts stöds, annars returneras False.

### Syntax:

HasUnoInterfaces( oTest, Uno-gränssnittsnamn 1 [, Uno- gränssnittsnamn 2, ...])

### Return type:

Bool

### Parametrar:

Name | Type | Description
--- | --- | ---
oTest | Object | the Basic Uno object that you want to test.
Uno-Interface-Name 1, Uno-Interface-Name 2, ... | String | Uno interface name(s)

### Exempel:

    Sub HasInterface
        Dim bHas as Boolean
        Dim oSheet as Object
        oSheet = ThisComponent.Sheets(0)
        bHas = HasUnoInterfaces( oSheet, "com.sun.star.beans.XIntrospection" )
        Print bHas ' = True
    End Sub

Närliggande ämnen

UNO Objects, Functions and Services